FSK_MOD(1)

NAME
fsk_mod - a diagnostic tool for the codec2 library to create a raw horus modem signal file from a codec2 bit file.

SYNOPSIS
fsk_mod usage: Mode SampleFreq SymbolFreq TxFreq1 TxFreqSpace InputOneBitPerCharFile OutputModRawFile

DESCRIPTION

Reads in a set of bits to modulate from a file, passed as a parameter, and writes modulated output to another file

OPTIONS
The first argument, Mode is an integer. 2 for 2FSK modem, 4 for 4FSK modem.

The second argument, SampleFreq is an integer specifying the sample rate.

The third argument, SymbolFreq is an integer.

The fourth argument, TxFreq1 is an integer.

The fifth argument, TxFreqSpace is an integer.

The sixth argument, InputOneBitPerCharFile is the file name of a file with codec2 encoded bits. If "-" is given the input is taken from stdin.

The seventh argument, OutputModRawFile is the file name of a file to be created with modem sample data. If "-" is given the output is sent to stdout.

SEE ALSO
fm_demod(1), fdmdv_mod(1), fdmdv_demod(1), fdmdv_get_test_bits(1) fdmdv_put_test_bits(1)